SQ(1)

NAME
sq packet dearmor - Convert ASCII to binary

SYNOPSIS
sq packet dearmor [OPTIONS] FILE

DESCRIPTION
Convert ASCII to binary.

To make encrypted data easier to handle and transport, OpenPGP data can be transformed to an ASCII representation called ASCII Armor. sq transparently handles armored data, but this subcommand can be used to explicitly convert existing ASCII-encoded OpenPGP data to its binary representation.

The converse operation is `sq packet armor`.

OPTIONS

  Subcommand options

--output=FILE
    Write to FILE or stdout if omitted

    [default: -]

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Convert an ASCII armored OpenPGP message to a binary OpenPGP message.

    sq packet dearmor --output=message.bin message.pgp

SEE ALSO
sq(1), sq-packet(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.0.0 (sequoia-openpgp 1.22.0)